# class RSS::Maker::Atom::Feed::Image

### Public Instance Methods

to_feed(feed) click to toggle source

    # File lib/rss/maker/feed.rb, line 148
    def to_feed(feed)
      logo = feed.class::Logo.new
      class << logo
        alias_method(:url=, :content=)
      end
      set = setup_values(logo)
      class << logo
        remove_method(:url=)
      end
      if set
        feed.logo = logo
        set_parent(logo, feed)
        setup_other_elements(feed, logo)
      elsif variable_is_set?
        raise NotSetError.new("maker.image", not_set_required_variables)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/feed.rb, line 167
    def required_variable_names
      %w(url)
    end